API referenceAi database
Plan
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
databaseId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/databases/string/ai/plan" \ -H "Content-Type: application/json" \ -d '{ "prompt": "string" }'{ "data": { "id": "string", "workspaceId": "string", "databaseId": "string", "prompt": "string", "summary": "string", "status": "planned", "ops": [ { "index": 0, "op": { "kind": "create_field", "label": "string", "fieldKind": "text", "required": true, "options": [ {} ], "settings": {} }, "stake": "never_ask", "description": "string" } ], "maxStake": "never_ask", "createdAt": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}